aboutsummaryrefslogtreecommitdiffstats
path: root/user-scripts/nwal
diff options
context:
space:
mode:
Diffstat (limited to 'user-scripts/nwal')
-rwxr-xr-xuser-scripts/nwal15
1 files changed, 15 insertions, 0 deletions
diff --git a/user-scripts/nwal b/user-scripts/nwal
new file mode 100755
index 0000000..a9ae62a
--- /dev/null
+++ b/user-scripts/nwal
@@ -0,0 +1,15 @@
+#!/usr/bin/env sh
+
+# Description: Set the selected image as wallpaper using nitrogen. Just put the cursor on a image and run the script.
+#
+# Shell: POSIX Compliant
+# Author: juacq97
+
+if ! [ -z "$1" ]; then
+ if [ $(mimetype --output-format %m $1 | awk -F '/' '{print $1}') == "image" ]; then
+ nitrogen --set-zoom-fill --save $1
+# notify-send -a "nnn" "Wallpaper changed!"
+ else
+# notify-send -a "nnn" "No image selected"
+ fi
+fi